summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Georgios Efstathiou <gefst@yahoo.com>2010-05-11 22:55:37 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:37 +0200
commitbd4612a35a2aaf78facf2b1ca88c58e6010bfcd2 (patch)
treec27ee3eea99cc68c37cef18455ce7e43aae8fde2 /system
parentea84d1a5488cc81d48524e9f122c2f48172d1f0f (diff)
downloadslackbuilds-bd4612a35a2aaf78facf2b1ca88c58e6010bfcd2.tar.gz
slackbuilds-bd4612a35a2aaf78facf2b1ca88c58e6010bfcd2.tar.xz
system/xcdroast: Added to 12.1 repository
Diffstat (limited to 'system')
-rw-r--r--system/xcdroast/README6
-rw-r--r--system/xcdroast/doinst.sh3
-rw-r--r--system/xcdroast/slack-desc19
-rw-r--r--system/xcdroast/xcdroast.SlackBuild90
-rw-r--r--system/xcdroast/xcdroast.info8
5 files changed, 126 insertions, 0 deletions
diff --git a/system/xcdroast/README b/system/xcdroast/README
new file mode 100644
index 0000000000..b62f6406ea
--- /dev/null
+++ b/system/xcdroast/README
@@ -0,0 +1,6 @@
+xcdroast (Graphical frontend for cdrtools)
+
+X-CD-Roast tries to be the most flexible CD and DVD burning software
+ever. It allows even the unexperienced user to create or copy a CD or
+a DVD with a few mouse clicks in a intuitive and nice looking
+graphical user interface.
diff --git a/system/xcdroast/doinst.sh b/system/xcdroast/doinst.sh
new file mode 100644
index 0000000000..140e332222
--- /dev/null
+++ b/system/xcdroast/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
diff --git a/system/xcdroast/slack-desc b/system/xcdroast/slack-desc
new file mode 100644
index 0000000000..023dfab74f
--- /dev/null
+++ b/system/xcdroast/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xcdroast: xcdroast (Graphical frontend for cdrtools)
+xcdroast:
+xcdroast: X-CD-Roast tries to be the most flexible CD and DVD burning software
+xcdroast: ever. It allows even the unexperienced user to create or copy a CD or
+xcdroast: a DVD with a few mouse clicks in a intuitive and nice looking
+xcdroast: graphical user interface.
+xcdroast:
+xcdroast: X-CD-Roast is maintained by Thomas Niederreiter.
+xcdroast:
+xcdroast:
+xcdroast:
diff --git a/system/xcdroast/xcdroast.SlackBuild b/system/xcdroast/xcdroast.SlackBuild
new file mode 100644
index 0000000000..a3a1d05550
--- /dev/null
+++ b/system/xcdroast/xcdroast.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for xcdroast
+
+# Written by Georgios Efstathiou gefst@yahoo.com
+
+#Heavily based on original slackware script.
+
+PRGNAM=xcdroast
+VERSION=0.98alpha16
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Configure flags;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --enable-gtk2
+
+# Compile the application and install it into the $PKG directory
+make
+make install DESTDIR=$PKG
+
+# Strip binaries and libraries - this can be done with 'make install-strip'
+# in many source trees, and that's usually acceptable if so, but if not,
+# use this:
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress man pages
+# If the man pages are installed to /usr/share/man instead, you'll need to either
+# add the --mandir=/usr/man flag to configure or move them manually after the
+# make install process is run.
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Copy program documentation into the package
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog INSTALL README AUTHORS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+#Copy the .desktop file
+mkdir -p $PKG/usr/share/applications
+cp -a ./extra/xcdroast.desktop $PKG/usr/share/applications
+
+
+# Copy the slack-desc
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Make the package
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/xcdroast/xcdroast.info b/system/xcdroast/xcdroast.info
new file mode 100644
index 0000000000..b729a73c06
--- /dev/null
+++ b/system/xcdroast/xcdroast.info
@@ -0,0 +1,8 @@
+PRGNAM="xcdroast"
+VERSION="0.98alpha16"
+HOMEPAGE="http://www.xcdroast.org/"
+DOWNLOAD="http://prdownloads.sourceforge.net/xcdroast/xcdroast-0.98alpha16.tar.gz"
+MD5SUM="bc3d335a30f292067eaaf1ea03ebaf17"
+MAINTAINER="Georgios Efstathiou"
+EMAIL="gefst@yahoo.com"
+APPROVED="David Somero" \ No newline at end of file